* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  /*font-family: "Noto Sans", sans-serif;*/
}

.whatsapp-bg {
    background: rgba(255, 179, 0, 0.8) url("../images/bg-review.png")
}

.wrapper {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 600px;
  width: 100%;
  background: #fff;
  padding: 25px;
  border-radius: 5px;
  box-shadow: 4px 4px 2px rgba(254, 236, 164, 1);
}

.wrapper h2 {
  text-align: center;
  margin-bottom: 20px;
  text-transform: uppercase;
  letter-spacing: 3px;
  color: #332902;
}

/* Custom CSS styles for WhatsApp Button */
.whatsapp-link {
  display: inline-flex;
  align-items: center;
  gap: 0.3rem;
  padding: 10px 20px;
  background-color: #0A0;
  color: #fff;
  text-decoration: none;
  font-weight: bold;
  font-size: 16px;
  border-radius: 4px;
  transition: background-color 0.3s;
  cursor: default;
  height: auto;
  width: auto;
}
.whatsapp-link svg {
  fill: #fff;
  width: 22px;
  height: 22px;
}
.whatsapp-link:hover {
  background-color: #45a049;
  color: #000;
}
/* Custom CSS styles for WhatsApp Form */
.waform-IT .form-container {
  width: 100%;
}
.form-container .formC:nth-child(1) {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  gap: 1rem;
  --gap: 1rem;
}
.formC .Fcontrol {
  position: relative;
}
.formC .Fcontrol input:focus,
.formC .Fcontrol textarea:focus {
  border-color: #4caf50;
}
.Fcontrol .cSubject,
.Fcontrol .cVehicle,
.Fcontrol input[type="text"],
.Fcontrol input[type="number"],
.Fcontrol input[type="email"],
.Fcontrol textarea {
  width: 100%;
  height: calc(3.5rem + calc(8px * 2));
  padding: 0rem 1rem 0rem .750rem;
  padding-top: 2rem;
  border-radius: 5px;
  margin-bottom: 15px;
  border: 1px solid rgba(0, 0, 0, 0.05);
  font-size: 1.7rem;
  background: #fff;
}
.Fcontrol textarea {
  height: 130px;
}
.Fcontrol .subjectC,
.nameC,
.mobileC,
.pickupC,
.dropC,
.vehicleC,
.messageC {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
  height: auto;
  padding: 1rem 0.75rem;
  transform: scale(0.85) translateY(-0.5rem) translateX(0.15rem);
  transform-origin: 0 0;
  overflow: hidden;
  text-overflow: ellipsis;
  pointer-events: none;
  white-space: nowrap;
  color: #0c3195;
  transition: 0.1s ease;
  font-size: 1.8rem;
  font-weight: 500;
}
.Fcontrol .cSubject {
  display: block;
  background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e")
    no-repeat right 0.75rem center/16px 12px;
  border: 1px solid rgba(0, 0, 0, 0.08);
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: #fff;
}
.Fcontrol .cVehicle {
  display: block;
  background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e")
    no-repeat right 0.75rem center/16px 12px;
  border: 1px solid rgba(0, 0, 0, 0.08);
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: #fff;
}
/* Validation */
.valid[data-text]:before {
  position: absolute;
  bottom: 100%;
  left: 12px;
  content: "";
  border: 8px solid;
  border-color: transparent transparent #FFE700 transparent;
  top: calc(100% - 21px);
}
.valid[data-text]:after,
.valid[data-text]:before {
  opacity: 1;
  transition: opacity 0.2s ease;
  pointer-events: none;
  z-index: 3;
}
.valid[data-text]:after {
  content: attr(data-text);
  position: absolute;
  background: #FFE700;
  left: 0;
  top: calc(100% - 5px);
  font-size: 12px;
  padding: 0 5px;
  box-shadow: 0 5px 10px rgb(0 0 0 / 8%);
}
.show#cName ~ .valid:after,
.show#cMobile ~ .valid:after,
.show#cPickup ~ .valid:after,
.show#cDrop ~ .valid:after,
.show#cMessage ~ .valid:after,
.show#cName ~ .valid[data-text]:before,
.show#cMobile ~ .valid[data-text]:before,
.show#cPickup ~ .valid[data-text]:before,
.show#cDrop ~ .valid[data-text]:before,
.show#cMessage ~ .valid[data-text]:before,
.none#cName ~ .valid:after,
.none#cMobile ~ .valid:after,
.none#cPickup ~ .valid:after,
.none#cDrop ~ .valid:after,
.none#cMessage ~ .valid:after,
.none#cName ~ .valid[data-text]:before,
.none#cMobile ~ .valid[data-text]:before,
.none#cPickup ~ .valid[data-text]:before,
.none#cDrop ~ .valid[data-text]:before,
.none#cMessage ~ .valid[data-text]:before {
  opacity: 0;
}
.Fcontrol input:focus ~ .nameC,
.Fcontrol input:focus ~ .mobileC,
.Fcontrol input:focus ~ .pickupC,
.Fcontrol input:focus ~ .dropC,
.Fcontrol textarea:focus ~ .messageC {
  top: -5px;
}
/* Remove IE arrow */
select:focus {
  outline: none;
}
select::-ms-expand {
  display: none;
}
@media screen and (max-width: 620px) {
  .formC:nth-child(1) {
    gap: 0;
  }
}